Subject: Re: bug#58669: 28.2; bindat: str and strz not operating on vectors
From: Stefan Monnier <[email-masked]>
To: Nacho Barrientos <[email-masked]>
Cc: [email-masked]
Date: Fri, 21 Oct 2022 11:29:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hola Nacho,

Nacho Barrientos [2022-10-20 14:18:13] wrote:
> Debugger entered--Lisp error: (wrong-type-argument listp [78 111 110 101])
>   apply(unibyte-string [78 111 110 101])

Duh, yes the code was clearly wrong.

> With the attached patch both return the string "None" as expected (well,
> as I'd expect, *grins*). The diff also adds some extra tests.

Thanks, pushed to `master`.

> It's the first time that I look into this package so I'm not sure this
> is the way it's meant to work but similar operations work fine on
> vectors of bytes, for instance:

Yes, I'm actually surprised I left this code in there as-is because
I remember wondering how to make a unibyte string from a vector of bytes
in an efficient way (and concluding that there's currently no good way
to do that :-( ).

        Stefan